-- cards	- uses spritebatch for source of cards

local gr	= love.graphics
local c		= require 'cards'

function love.load()

	gr.setBackgroundColor( 0, 55, 0, 255 )
	deck, order	= c:createDeck()
	time		= 0
	angle		= 0
	num			= 1
	lapse		= 0
	end

function love.update( dt )
	gr.setCaption('Playing Cards Derived From a Sprite Sheet  - '..'fps: '..love.timer.getFPS())
	angle		= angle + dt
	time		= time + dt
	if time		> .5 then
		time 	= 0
		c.shuffle( order )							-- reorder pointer into deck of cards
		num 	= num < 13 and num + 1 or 1			-- sequential card display
		end
	lapse = lapse + dt if lapse > 1.5 then lapse = 0 end
	--ccx, ccy = c.linear_deal( lapse, 370, 605, 500, 20, 1.5 )
	--ccx, ccy = c.outExp_deal( lapse, 370, 605, 500, 20, 1.5 )
	ccx, ccy = c.outQuint_deal( lapse, 370, 605, 500, 20, 1.5 )
	--ccx, ccy = c.outQuad_deal( lapse, 370, 605, 500, 20, 1.5 )
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.quit() 	end
	end

function love.draw()
	gr.draw( c.image,10,395,0,.35,.35 )
	c.draw( joker,530,20 )				-- card, x, y (upper left corner)
	c.draw( backred,605,20 )
	c.draw( backblue,680,20 )
	c.draw( deck[num],550,250,angle,1,1,34,47 )	-- provides for rotation, resizing & offset (card center)
	c.draw( deck[num+13],670,250,angle,1,1,34,47 )
	c.draw( backred,370,500 )

	hands = c.create_hands()	-- optional params - number of hands(4), number cards per hand(13)
	--c.show_hands(hands)
	c.fan_cards( hands[1],120,240 )		-- hand x, y (lower left corner - any #cards in hand)
	c.fan_cards( hands[2],300,340 )
	c.fan_cards( hands[3],480,440 )
	c.fan_cards( hands[4],660,540 )
	c.draw( deck[num],80,20 )			--  1-13 are clubs (A 1 2 3 4 5 6 7 8 9 10 J Q K )
	c.draw( deck[num+13],156,20 )		-- 14-26 are diamonds
	c.draw( deck[num+26],229,20 )		-- 27-39 are spades
	c.draw( deck[num+39],304,20 )		-- 40-52 are hearts
	c.draw( backred,ccx,ccy)
	end

